ConsoleLog

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jagatoo.logging
Class ConsoleLog

    java.lang.Object
      org.jagatoo.logging.LogHandler
          org.jagatoo.logging.ConsoleLog

    public class ConsoleLog

extends LogHandler

This class will write the messages to the console.

Author:
  David Yazel, Marvin Froehlich (aka Qudus)

Constructor Summary
`ConsoleLog()`
`ConsoleLog(int channelFilter, LogLevel logLevel)`
`ConsoleLog(LogLevel logLevel)`

Method Summary
`void` | `close()`
`void` | `endMessage()`
`void` | `flush()`
`void` | `print(LogChannel channel, int logLevel, java.lang.String message)`
`void` | `print(LogChannel channel, int logLevel, java.lang.Throwable t)`
`void` | `println(LogChannel channel, int logLevel, java.lang.String message)`

Methods inherited from class org.jagatoo.logging.LogHandler
`acceptsChannel, acceptsChannelAndLevel, finalize, getChannelFilter, getLogLevel, getLogLevelLevel, setChannelFilter, setLogLevel, setLogLevel`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleLog

    public ConsoleLog(int channelFilter,
                      LogLevel logLevel)

### ConsoleLog

    public ConsoleLog(LogLevel logLevel)

### ConsoleLog

    public ConsoleLog()

Method Detail

### print

    public void print(LogChannel channel,
                      int logLevel,
                      java.lang.String message)

  Specified by:
    `print` in class `LogHandler`

### println

    public void println(LogChannel channel,
                        int logLevel,
                        java.lang.String message)

  Specified by:
    `println` in class `LogHandler`

### print

    public void print(LogChannel channel,
                      int logLevel,
                      java.lang.Throwable t)

  Specified by:
    `print` in class `LogHandler`

### endMessage

    public void endMessage()

  Specified by:
    `endMessage` in class `LogHandler`

### flush

    public void flush()

  Specified by:
    `flush` in class `LogHandler`

### close

    public void close()

  Specified by:
    `close` in class `LogHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD